curl --request GET \
--url https://api.joinworth.com/score/api/v1/score/business/{businessID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/score/api/v1/score/business/{businessID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/score/api/v1/score/business/{businessID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.joinworth.com/score/api/v1/score/business/{businessID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.joinworth.com/score/api/v1/score/business/{businessID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.joinworth.com/score/api/v1/score/business/{businessID}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.joinworth.com/score/api/v1/score/business/{businessID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Success",
"data": {
"id": "17f1de9d-b38d-47d9-bcd6-21662b648ada",
"month": "12",
"year": "2024",
"created_at": "2024-12-23T09:03:07.705Z",
"business_id": "9289f785-e7f3-4c05-b5cc-6caf982bde63",
"customer_id": null,
"status": "SUCCESS",
"score_weightage_config": "3d790145-0b4a-4de7-969a-d118123123bc",
"weighted_score_100": "78",
"weighted_score_850": "728",
"risk_level": "LOW",
"score_decision": "APPROVE",
"base_score": "626.78",
"version": "2.2",
"score_distribution": [
{
"id": 2,
"code": "PUBLIC_RECORDS",
"label": "Public Records",
"is_deleted": false,
"total_weightage": 40,
"factors": [
{
"id": 14,
"code": "JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER",
"label": "Judgements and Liens",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 14,
"value": -2,
"score_100": -2,
"weighted_score_100": -0.11,
"score_850": -2,
"weighted_score_850": -0.11,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 15,
"code": "SOCIAL_REVIEWS_AI_PLACEHOLDER",
"label": "Social Reviews",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 15,
"value": -2,
"score_100": -2,
"weighted_score_100": 24.82,
"score_850": -2,
"weighted_score_850": 24.82,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 16,
"code": "BANKRUPTCIES_AI_PLACEHOLDER",
"label": "Bankruptcies",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 16,
"value": -2,
"score_100": -2,
"weighted_score_100": 86.31,
"score_850": -2,
"weighted_score_850": 86.31,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "111.02",
"score_100": "111.02",
"score_850": "111.02"
},
{
"id": 4,
"code": "BUSINESS_OPERATIONS",
"label": "Business Operations",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 27,
"code": "BALANCE_SHEET_AI_PLACEHOLDER",
"label": "Balance Sheet",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 27,
"value": -2,
"score_100": -2,
"weighted_score_100": -25.26,
"score_850": -2,
"weighted_score_850": -25.26,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 25,
"code": "PROFIT_AND_LOSS_AI_PLACEHOLDER",
"label": "Profit and Loss",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 25,
"value": -2,
"score_100": -2,
"weighted_score_100": 6.44,
"score_850": -2,
"weighted_score_850": 6.44,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 26,
"code": "CASH_FLOW_AI_PLACEHOLDER",
"label": "Cash Flow",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 26,
"value": -2,
"score_100": -2,
"weighted_score_100": -4.94,
"score_850": -2,
"weighted_score_850": -4.94,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "-23.76",
"score_100": "-23.76",
"score_850": "-23.76"
},
{
"id": 5,
"code": "COMPANY_PROFILE",
"label": "Company Profile",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 17,
"code": "CREDIT_BUREAU_AI_PLACEHOLDER",
"label": "Credit Bureau",
"category_id": 5,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 17,
"value": -2,
"score_100": -2,
"weighted_score_100": -4.19,
"score_850": -2,
"weighted_score_850": -4.19,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "-4.19",
"score_100": "-4.19",
"score_850": "-4.19"
},
{
"id": 6,
"code": "FINANCIAL_TRENDS",
"label": "Financial Trends",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 21,
"code": "EFFICIENCY_RATIOS_AI_PLACEHOLDER",
"label": "Efficiency Ratio",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 21,
"value": -2,
"score_100": -2,
"weighted_score_100": 0.03,
"score_850": -2,
"weighted_score_850": 0.03,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 20,
"code": "SOLVENCY_RATIOS_AI_PLACEHOLDER",
"label": "Solvency Ratio",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 20,
"value": -2,
"score_100": -2,
"weighted_score_100": 2.3,
"score_850": -2,
"weighted_score_850": 2.3,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 18,
"code": "ECONOMICS_AI_PLACEHOLDER",
"label": "Economics",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 18,
"value": -2,
"score_100": -2,
"weighted_score_100": 7.77,
"score_850": -2,
"weighted_score_850": 7.77,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 19,
"code": "LIQUIDITY_RATIOS_AI_PLACEHOLDER",
"label": "Liquidity Ratios",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 19,
"value": -2,
"score_100": -2,
"weighted_score_100": 0.02,
"score_850": -2,
"weighted_score_850": 0.02,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "10.12",
"score_100": "10.12",
"score_850": "10.12"
},
{
"id": 8,
"code": "PERFORMANCE_MEASURES",
"label": "Performance Measures",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 22,
"code": "PROFITABILITY_RATIOS_AI_PLACEHOLDER",
"label": "Profitability Ratio",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 22,
"value": -2,
"score_100": -2,
"weighted_score_100": 2.51,
"score_850": -2,
"weighted_score_850": 2.51,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 23,
"code": "VALUATION_RATIOS_AI_PLACEHOLDER",
"label": "Valuation Ratio",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 23,
"value": -2,
"score_100": -2,
"weighted_score_100": 1.83,
"score_850": -2,
"weighted_score_850": 1.83,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 24,
"code": "FINANCIAL_RISKS_AI_PLACEHOLDER",
"label": "Financial Risks",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 24,
"value": -2,
"score_100": -2,
"weighted_score_100": 3.88,
"score_850": -2,
"weighted_score_850": 3.88,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "8.22",
"score_100": "8.22",
"score_850": "8.22"
}
],
"is_score_calculated": true
}
}Get Business Score
Retrieve the Worth score and detailed score breakdown for the specified business entity.
The optional year and month query parameters can be used to retrieve a historical score for a specific month. Because a business score can be generated more than once within the same month, supplying these parameters will return the last score generated for that specific year/month combination.
If year and month are not supplied, the API defaults to the current year and current month and returns the latest score generated within the current month.
curl --request GET \
--url https://api.joinworth.com/score/api/v1/score/business/{businessID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/score/api/v1/score/business/{businessID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/score/api/v1/score/business/{businessID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.joinworth.com/score/api/v1/score/business/{businessID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.joinworth.com/score/api/v1/score/business/{businessID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.joinworth.com/score/api/v1/score/business/{businessID}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.joinworth.com/score/api/v1/score/business/{businessID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Success",
"data": {
"id": "17f1de9d-b38d-47d9-bcd6-21662b648ada",
"month": "12",
"year": "2024",
"created_at": "2024-12-23T09:03:07.705Z",
"business_id": "9289f785-e7f3-4c05-b5cc-6caf982bde63",
"customer_id": null,
"status": "SUCCESS",
"score_weightage_config": "3d790145-0b4a-4de7-969a-d118123123bc",
"weighted_score_100": "78",
"weighted_score_850": "728",
"risk_level": "LOW",
"score_decision": "APPROVE",
"base_score": "626.78",
"version": "2.2",
"score_distribution": [
{
"id": 2,
"code": "PUBLIC_RECORDS",
"label": "Public Records",
"is_deleted": false,
"total_weightage": 40,
"factors": [
{
"id": 14,
"code": "JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER",
"label": "Judgements and Liens",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 14,
"value": -2,
"score_100": -2,
"weighted_score_100": -0.11,
"score_850": -2,
"weighted_score_850": -0.11,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 15,
"code": "SOCIAL_REVIEWS_AI_PLACEHOLDER",
"label": "Social Reviews",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 15,
"value": -2,
"score_100": -2,
"weighted_score_100": 24.82,
"score_850": -2,
"weighted_score_850": 24.82,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 16,
"code": "BANKRUPTCIES_AI_PLACEHOLDER",
"label": "Bankruptcies",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 16,
"value": -2,
"score_100": -2,
"weighted_score_100": 86.31,
"score_850": -2,
"weighted_score_850": 86.31,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "111.02",
"score_100": "111.02",
"score_850": "111.02"
},
{
"id": 4,
"code": "BUSINESS_OPERATIONS",
"label": "Business Operations",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 27,
"code": "BALANCE_SHEET_AI_PLACEHOLDER",
"label": "Balance Sheet",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 27,
"value": -2,
"score_100": -2,
"weighted_score_100": -25.26,
"score_850": -2,
"weighted_score_850": -25.26,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 25,
"code": "PROFIT_AND_LOSS_AI_PLACEHOLDER",
"label": "Profit and Loss",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 25,
"value": -2,
"score_100": -2,
"weighted_score_100": 6.44,
"score_850": -2,
"weighted_score_850": 6.44,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 26,
"code": "CASH_FLOW_AI_PLACEHOLDER",
"label": "Cash Flow",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 26,
"value": -2,
"score_100": -2,
"weighted_score_100": -4.94,
"score_850": -2,
"weighted_score_850": -4.94,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "-23.76",
"score_100": "-23.76",
"score_850": "-23.76"
},
{
"id": 5,
"code": "COMPANY_PROFILE",
"label": "Company Profile",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 17,
"code": "CREDIT_BUREAU_AI_PLACEHOLDER",
"label": "Credit Bureau",
"category_id": 5,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 17,
"value": -2,
"score_100": -2,
"weighted_score_100": -4.19,
"score_850": -2,
"weighted_score_850": -4.19,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "-4.19",
"score_100": "-4.19",
"score_850": "-4.19"
},
{
"id": 6,
"code": "FINANCIAL_TRENDS",
"label": "Financial Trends",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 21,
"code": "EFFICIENCY_RATIOS_AI_PLACEHOLDER",
"label": "Efficiency Ratio",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 21,
"value": -2,
"score_100": -2,
"weighted_score_100": 0.03,
"score_850": -2,
"weighted_score_850": 0.03,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 20,
"code": "SOLVENCY_RATIOS_AI_PLACEHOLDER",
"label": "Solvency Ratio",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 20,
"value": -2,
"score_100": -2,
"weighted_score_100": 2.3,
"score_850": -2,
"weighted_score_850": 2.3,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 18,
"code": "ECONOMICS_AI_PLACEHOLDER",
"label": "Economics",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 18,
"value": -2,
"score_100": -2,
"weighted_score_100": 7.77,
"score_850": -2,
"weighted_score_850": 7.77,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 19,
"code": "LIQUIDITY_RATIOS_AI_PLACEHOLDER",
"label": "Liquidity Ratios",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 19,
"value": -2,
"score_100": -2,
"weighted_score_100": 0.02,
"score_850": -2,
"weighted_score_850": 0.02,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "10.12",
"score_100": "10.12",
"score_850": "10.12"
},
{
"id": 8,
"code": "PERFORMANCE_MEASURES",
"label": "Performance Measures",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 22,
"code": "PROFITABILITY_RATIOS_AI_PLACEHOLDER",
"label": "Profitability Ratio",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 22,
"value": -2,
"score_100": -2,
"weighted_score_100": 2.51,
"score_850": -2,
"weighted_score_850": 2.51,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 23,
"code": "VALUATION_RATIOS_AI_PLACEHOLDER",
"label": "Valuation Ratio",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 23,
"value": -2,
"score_100": -2,
"weighted_score_100": 1.83,
"score_850": -2,
"weighted_score_850": 1.83,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 24,
"code": "FINANCIAL_RISKS_AI_PLACEHOLDER",
"label": "Financial Risks",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 24,
"value": -2,
"score_100": -2,
"weighted_score_100": 3.88,
"score_850": -2,
"weighted_score_850": 3.88,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "8.22",
"score_100": "8.22",
"score_850": "8.22"
}
],
"is_score_calculated": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
"9289f785-e7f3-4c05-b5cc-6caf982bde63"
Query Parameters
Optional. The exact year (4-digit) in which the score was generated. Because a business score can be generated multiple times, passing this historical parameter together with month returns the last score generated for that specific year/month period. If year and month are not supplied, the API defaults to the current year and returns the score generated in the current month.
1900 <= x <= 99992025
Optional. The exact month (1-12) in which the score was generated. Because a business score can be generated multiple times, passing this historical parameter together with year returns the last score generated for that specific year/month period. If year and month are not supplied, the API defaults to the current month and returns the score generated in the current month.
1 <= x <= 123
Response
OK
Show child attributes
Show child attributes
{
"id": "17f1de9d-b38d-47d9-bcd6-21662b648ada",
"month": "12",
"year": "2024",
"created_at": "2024-12-23T09:03:07.705Z",
"business_id": "9289f785-e7f3-4c05-b5cc-6caf982bde63",
"customer_id": null,
"status": "SUCCESS",
"score_weightage_config": "3d790145-0b4a-4de7-969a-d118123123bc",
"weighted_score_100": "78",
"weighted_score_850": "728",
"risk_level": "LOW",
"score_decision": "APPROVE",
"base_score": "626.78",
"version": "2.2",
"score_distribution": [
{
"id": 2,
"code": "PUBLIC_RECORDS",
"label": "Public Records",
"is_deleted": false,
"total_weightage": 40,
"factors": [
{
"id": 14,
"code": "JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER",
"label": "Judgements and Liens",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 14,
"value": -2,
"score_100": -2,
"weighted_score_100": -0.11,
"score_850": -2,
"weighted_score_850": -0.11,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 15,
"code": "SOCIAL_REVIEWS_AI_PLACEHOLDER",
"label": "Social Reviews",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 15,
"value": -2,
"score_100": -2,
"weighted_score_100": 24.82,
"score_850": -2,
"weighted_score_850": 24.82,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 16,
"code": "BANKRUPTCIES_AI_PLACEHOLDER",
"label": "Bankruptcies",
"category_id": 2,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 16,
"value": -2,
"score_100": -2,
"weighted_score_100": 86.31,
"score_850": -2,
"weighted_score_850": 86.31,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "111.02",
"score_100": "111.02",
"score_850": "111.02"
},
{
"id": 4,
"code": "BUSINESS_OPERATIONS",
"label": "Business Operations",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 27,
"code": "BALANCE_SHEET_AI_PLACEHOLDER",
"label": "Balance Sheet",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 27,
"value": -2,
"score_100": -2,
"weighted_score_100": -25.26,
"score_850": -2,
"weighted_score_850": -25.26,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 25,
"code": "PROFIT_AND_LOSS_AI_PLACEHOLDER",
"label": "Profit and Loss",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 25,
"value": -2,
"score_100": -2,
"weighted_score_100": 6.44,
"score_850": -2,
"weighted_score_850": 6.44,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 26,
"code": "CASH_FLOW_AI_PLACEHOLDER",
"label": "Cash Flow",
"category_id": 4,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 26,
"value": -2,
"score_100": -2,
"weighted_score_100": -4.94,
"score_850": -2,
"weighted_score_850": -4.94,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "-23.76",
"score_100": "-23.76",
"score_850": "-23.76"
},
{
"id": 5,
"code": "COMPANY_PROFILE",
"label": "Company Profile",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 17,
"code": "CREDIT_BUREAU_AI_PLACEHOLDER",
"label": "Credit Bureau",
"category_id": 5,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 17,
"value": -2,
"score_100": -2,
"weighted_score_100": -4.19,
"score_850": -2,
"weighted_score_850": -4.19,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "-4.19",
"score_100": "-4.19",
"score_850": "-4.19"
},
{
"id": 6,
"code": "FINANCIAL_TRENDS",
"label": "Financial Trends",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 21,
"code": "EFFICIENCY_RATIOS_AI_PLACEHOLDER",
"label": "Efficiency Ratio",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 21,
"value": -2,
"score_100": -2,
"weighted_score_100": 0.03,
"score_850": -2,
"weighted_score_850": 0.03,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 20,
"code": "SOLVENCY_RATIOS_AI_PLACEHOLDER",
"label": "Solvency Ratio",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 20,
"value": -2,
"score_100": -2,
"weighted_score_100": 2.3,
"score_850": -2,
"weighted_score_850": 2.3,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 18,
"code": "ECONOMICS_AI_PLACEHOLDER",
"label": "Economics",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 18,
"value": -2,
"score_100": -2,
"weighted_score_100": 7.77,
"score_850": -2,
"weighted_score_850": 7.77,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 19,
"code": "LIQUIDITY_RATIOS_AI_PLACEHOLDER",
"label": "Liquidity Ratios",
"category_id": 6,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 19,
"value": -2,
"score_100": -2,
"weighted_score_100": 0.02,
"score_850": -2,
"weighted_score_850": 0.02,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "10.12",
"score_100": "10.12",
"score_850": "10.12"
},
{
"id": 8,
"code": "PERFORMANCE_MEASURES",
"label": "Performance Measures",
"is_deleted": false,
"total_weightage": 0,
"factors": [
{
"id": 22,
"code": "PROFITABILITY_RATIOS_AI_PLACEHOLDER",
"label": "Profitability Ratio",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 22,
"value": -2,
"score_100": -2,
"weighted_score_100": 2.51,
"score_850": -2,
"weighted_score_850": 2.51,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 23,
"code": "VALUATION_RATIOS_AI_PLACEHOLDER",
"label": "Valuation Ratio",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 23,
"value": -2,
"score_100": -2,
"weighted_score_100": 1.83,
"score_850": -2,
"weighted_score_850": 1.83,
"status": "SUCCESS",
"log": "Success"
},
{
"id": 24,
"code": "FINANCIAL_RISKS_AI_PLACEHOLDER",
"label": "Financial Risks",
"category_id": 8,
"is_deleted": false,
"parent_factor_id": null,
"weightage": 0,
"factor_id": 24,
"value": -2,
"score_100": -2,
"weighted_score_100": 3.88,
"score_850": -2,
"weighted_score_850": 3.88,
"status": "SUCCESS",
"log": "Success"
}
],
"score": "8.22",
"score_100": "8.22",
"score_850": "8.22"
}
],
"is_score_calculated": true
}
Was this page helpful?